AutoCad :: Blocks That Rotate To Different Viewports?
Apr 20, 2012
I am currently doing a series of drawings with multiple viewports across the same level. To fit them all on an A1 drawing, I have to orientate the viewports in different fashion. This means that the symbols (blocks) look different depending on the viewport rotation.
Is there any way to make it so blocks are displayed with a Rotation of X (say, in this case, '0') on each viewport?
when I insert a block that is made up of different layer lines and shapes then they only show up in the model tab. The other layouts I have won't show the blocks even though the same layers are turned on and unfrozen in these other layout viewports just like the model space. It's looking like trying to use multilayer dynamic blocks will be pretty useless unless they work in every layout viewport and not just in model space.
Im trying to keep annotative blocks in the same spot on different scale viewports. The main issue Im having is, when i have a lets say house plan in viewport #1 and have all my blocks in place that I moved copyed from my template. When I open another viewport at a diffrent scale the blocks move. Im useing a large number of blocks for electrical symbols we use at work that I need to be in every viewport so we can copy them and place them where needed on the plan.
I have used annotative text and selected yes for match orientation to layout for the text. In the viewport it is rotating automatically with the view, however the boxes around the text do not rotate as well. Is there anyway to automate this?
The Client requires a key plan which has all the pipe data on it. The key plan is oriented in one direction. Then for the plan & profile drawings, the plan is oriented in another direction. I don't want to have two create two sets of text (one for the key plan and one for the plan/profile drawing). How can I use one set of text and make it work in the key plan and for all the plan/profile drawings? Image is attached.
I have received a drawing from another company that has blocks. When I try to rotate the blocks to an angle through the properties dialog box or by entering an angle at the command line, I am not able to. The value is always set to "E". I can rotate it graphically by placing points on the screen, just not through a key in. It seems like there is a lock on it.
I have a simple block, I would like to do the following:
Type: Insert
Specify: Block Name
Click spot with cursor to have the block placed
Rotate the block for orientation
I know that if I use the Tool Pallets I can specify rotate on insert, but do not always want to use the Pallete. I also know I can assign a rotation parameter to the block so I can grip and rotate after insertion. Is there an easier way?
Attached is a dynamic block for a civil grid tick. It's my first time creating a dynamic block so it's probably not the most efficent use of the dynamic parameters etc.
I have it setup with 4 visibility states to allow the northing and easting attributes to "rotate" about the center of the grid tick, to give options for readablity and/or text overlap.
What I wanted to add was figure out how to make the individual attributes flip 180 degrees about a point (roughly the center of the attribute). Again this would be for readability.
At my last job, the CAD manager there had certain blocks which, upon insertion, automatically selected the rotate command. i.e., as soon as you click to place the block, it was free rotating.
I've search for the answer, but everything just tells me how to put the rotate command inside the dynamic block, but I don't know how to make it "auto-jump" to that immediately upon insertion.
I am trying to create a block that has a stretch and array command, but I would also like to rotate each arrayed item indvidually. However I cannot select the rotate parameter as part of the array function, so the block end up only containing one rotate grip.
I'm using AutoCAD 2010, working with a drawing created by someone else. I'm completely green with AutoCAD -- never used 2D CAD of any kind before. (I do have 15 year of experience with 3D CAD, but that's not much use to me now!)
The drawing is a shop floor plan, with each piece of a equipment as a block. I am moving or copying these blocks, sometimes to new layers. Sometimes, after I've moved a block to a new layer, I can no longer rotate it. The rotate command seems to work, but nothing happens.
Here's what I've tried so far:
* Checked if the layer is locked. (It's not; no layers are locked.) * Tested other blocks. (They behave normally.) * Toggled ortho mode on and off. (No change.) * Closed and re-opened the file. (No change.) * Closed and re-opened AutoCAD. (No change.) * Rebooted. (No change.)
One guy took my drawing, "exploded the blocks" (whatever that means), and gave it back to me. The blocks would then rotate but, as soon as I started working with another one the same thing happened.
I've spent a day and a half coming up with a way to make this dynamic damper block work. Now, I need to fig out how to get every other blade to rotate 90°. I have attached a file with my block and an example of what I need to make it do. I’m running AUTOCAD 2009 LT if you need to know.
I have a block that has a portion that needs to rotate up to 90 degrees. The problem is that it has parallel lines that create a bowtie when rotating. I've tried everything with constraints to get this block to work, but I just can't keep it from creating a bowtie when rotating.
I have just installed 2012 and have drawn a 3d model. In paperspace i have a couple of viewports , all nicely set out at 1:5 scale. then i click in another viewport and bam, all the other viewports change scale (zoom out) and orientation. is there some system variable that i have overlooked?
I know this is located in other locations but I can't seem to make it work with my block.
I would like the cross and the text N to rotate independantly of the arrow while the N stays with the thick line. That's the easy part. How can I make the N move along the rotation path and keep the text aligned horizontally? I read something about linked action and move, but I can't make it work.
The code I'm using is supposed to go through all of the layouts and freeze the specified layer in the single viewport that is defined on that layout. It works for some viewports, but not for others. A "List" of the objects show the viewports are the same. I have a LiSP routine that gets me more info about selected objects. The first is a viewport that does not freeze the specified layer, the second does freeze the layer. Here is the code I'm using:
Public Sub FreezeNewLayerInVPs(ByVal pageNumber) Dim doc As Document = Application.DocumentManager.MdiActiveDocumentDim db As Database = doc.Database Dim layerToFreeze As String = "DETAIL_" & pageNumber Using tr As Transaction = db.TransactionManager. Start Transaction( )Dim layTable As LayerTable = DirectCast(tr.GetObject(db.LayerTableId, OpenMode.ForRead), [code]...
(defun CELBLKS ( / e blk ss blkl) (setq blkl "" ss (ssadd)) (while (setq e (entsel "
[Code]....
i have this lsp, it works great but how can modify it if i want select with a window.? exemple: if i have 3 differentes blocks, i want to select them with windows and the lisp select all blocks that are identical of those 3.?
We have a new title block which now contains various fields to automatically populate the drawing number, number of sheets, issue etc. The problem we have is when we go to zoom all or extents on a layout tab it moves the layout to the right each time. If we only have one layout or we use a plain title block i.e. with no fields, the zoom works fine (layout stays put in the center). This is also true if we directly insert a field onto the layout - again no problems.
The cause of the problem only happens when a block containing a field is inserted onto the paper space of a layout and,there are multiple layouts containing blocks with fields.
How do I manipulate a height parameter all of the dynamic blocks in the drawing from one single field? Say a field located in the drawing properties or on the drawing itself.
For example: Multiple blocks of different walls of same height with other blocks of things on located on those walls, dependant on the wall height, all linked to and changed by a single field. Possibly a Wall Height field located in the custom tab of the drawing properties.
I can pickout each of the blocks and change them at the same time in properites menu because they all share the same parameter name. I would just like to have that height parameter of every block in the drawing, that has that specific parameter controled by a single field. Which I could enter a new height at anytime that would change every block in the drawing to that height.
We used a bespoke program to convert our drawings to Java applets for web usage. This does not cope with dynamic blocks at present and we have started to receive drawings from our clients using them.
I need to replace this with standard static blocks based on one of two criteria. Either:
1) Replace based on visibility state (have generic chair block with multiple different chair types set by visibility type, need to replace depending on which type it is set as)
2) Replace based on parameter (have table with size set by dimensions, need to replace with static block for each dimension)
I have over 100 blocks that I need to add the exact same objects and visibility state to. Is there a way to globally make this change, or even to copy the visibility states from one block to the next without having to recreate the states in each block? I thought I had previously run across a routine on here that would make changes to multiple blocks at once, but I can't seem to find it now.
I have a project in 3D that I would like to export to Stadd. This requires lines rather than blocks. Is is possible to convert the blocks in the attached dwg file to to lines that are centered on those blocks?
The AttSync command does what it advertises fairly well. My problem is that I have thousands of small blocks in a single drawing. (My current drawing has 2100 block references with four attributes in each one.) I may change the attribute values in a few of them and need to re-sync the attribute locations. When I run AttSync it updates every single block insertion. One of two things are desired:
1)Flag each block insertion as having been sync'ed, reducing the number of objects requiring synchronization when AttSync is called again. Provide a way to force all to be sync'ed.
2)Allow a selection set in the AttSync command after selecting the block to sync.
Either or both of these would a great time-saver for those of us with large numbers of blocks with attributes.
I built a building foundation for a grading plan and I have another building that is the exact mirror of it. I have tried to mirror it. Didn't work. I created a block of the feature lines and inserted it with a -1 x value but I can't explode it. I tried the regular explode and xplode. Neither worked. I can use the the block to draw feature lines over but it just seems so much easier if I could figure out how to explode the block.
I have the same block repeated multiple times in a drawing, and I want to delete the last attribute in all of the specific blocks. When I edit the block in block editor, the attributes do not show up. After I explode the block, there is no text. The attached image shows the properties of the block.
I am trying to update blocks for a client. Each block has a line of text with the block name in it. I would like to automate these with a field so that if the block name changes or a new block is created from that one, then the field would update as well. I am running AutoCAD LT 2012 currently.